## postfix 3.4.9

=== debian/changelog ===
postfix (3.4.9-1) unstable; urgency=medium

  [Scott Kitterman]

  * Correct Debian's smtp (8) man page name in d/p/debian-man-name.diff for
    lmtp.  Closes: #920356
  * Fix d/init.d running change so it works with multi-instance again
    - Thanks to jaroslav@thinline.cz for the fix.  Closes: #944922
  * Bump standards-version to 4.5.0 without further change
  * Switch from debian/compat to debhelper-compat and bump compat to 12
      - Update debian/rules to use dh_installsystemd instead of
        dh_systemd_enable and dh_systemd_start
      - Update debian/rules for new example install path

  [Wietse Venema]

  * 3.4.9

 -- Scott Kitterman <scott@kitterman.com>  Sat, 15 Feb 2020 22:34:22 -0500

postfix (3.4.8-1) unstable; urgency=medium

  [Scott Kitterman]

  * Stop generating obsolete Upstream substvar
  * Bump standards-version to 4.4.1 without further change
  * Use -l instead of LD_LIBRARY_PATH for dh_shlibdeps
  * Check GPG signature when downloading new versions via uscan

  [Wietse Venema]

  * 3.4.8

 -- Scott Kitterman <scott@kitterman.com>  Sun, 12 Jan 2020 02:26:14 -0500

postfix (3.4.7-2) unstable; urgency=medium

  [Andreas Hasenack]

  * Update autopkgtest to use python3.  Closes: #943212  LP: #1845334 

  [Scott Kitterman]

  * Update smtp_tls_CApath to /etc/ssl/certs so it actually works.
    Closes: #923083
  * Refactor running status detection in sysv init based on upstream
    postfix-script so it works in docker.  Closes: #941293

 -- Scott Kitterman <scott@kitterman.com>  Sun, 03 Nov 2019 13:09:50 -0500

postfix (3.4.7-1) unstable; urgency=medium

  [Andreas Hasenack]

  * d/p/80_glibc2.30-ftbfs.diff: fix build with glibc 2.30 (LP: #1842923)

  [Scott Kitterman]

  * Refresh patches
  * Modernize default TLS setup:
    - Drop addition of smtpd_tls_session_cache_database to TLS parameters (no
      longer needed since TLS session tickets are used now).  Closes: #934803
    - Replace use of obsolescent smtpd_use_tls=yes with
      smtpd_tls_security_level=may in default TLS setting.  Closes: #520936
    - Add smtp_tls_security_level=may to default TLS settings so that both
      client and server TLS are now enabled be default for new installations.
      Closes: #163144
    - Stop copying smtp_tls_CAfile into chroot, not needed per postfix docs
    - Also copy smtpd_tls_CApath files into chroot.  Closes: #579248
    - Add smtp_tls_CApath using /usr/share/ca-certificates/ to default TLS
      configuration so postfix smtp client can use the system certificate
      store to verify smtp server certificates, add ca-certificates to postfix
      Recommends.  Closes: #923083
  * Bump standards version to 4.4.0 without further change
  * Fix spelling errors in Debian provided man pages

  [Christian Göttsche]

  * Fix debian/rules so build flags are applied Closes: #879668

  [Wietse Venema]

  * 3.4.6
  * 3.4.7

 -- Scott Kitterman <scott@kitterman.com>  Sun, 22 Sep 2019 16:21:17 -0400
