## postfix 3.4.10

=== debian/changelog ===
postfix (3.4.10-1ubuntu1) focal; urgency=medium

  * d/configure-instance.sh: fix typo in tls_CApath copying (LP: #1872288)

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Thu, 16 Apr 2020 14:48:33 -0300

postfix (3.4.10-1) unstable; urgency=medium

  [Scott Kitterman]

  * Update postfix.postinst text to refer to systemctl vice service

  [Wietse Venema]

  * 3.4.10

 -- Scott Kitterman <scott@kitterman.com>  Fri, 13 Mar 2020 01:11:35 -0400
