## postfix 3.4.13

=== debian/changelog ===
postfix (3.4.13-0ubuntu1.4) focal-security; urgency=medium

  * SECURITY UPDATE: SMTP smuggling (LP: #2049337)
    - debian/patches/CVE-2023-51764-2.patch: improved fix with reduced
      risks of regression. Introduced
      "smtpd_forbid_bare_newline = normalize".
    - CVE-2023-51764

 -- Allen Huang <allen.huang@canonical.com>  Mon, 29 Jan 2024 16:49:03 +0800

postfix (3.4.13-0ubuntu1.3) focal-security; urgency=medium

  * SECURITY UPDATE: SMTP smuggling (LP: #2049337)
    - debian/patches/CVE-2023-51764.patch: introduced
      `smtpd_forbid_bare_newline`. With "smtpd_forbid_bare_newline = yes",
       the Postfix SMTP server disconnects a remote SMTP client that
       sends a line ending in a 'bare newline'.
    - CVE-2023-51764 

 -- Allen Huang <allen.huang@canonical.com>  Tue, 16 Jan 2024 16:03:32 +0000

postfix (3.4.13-0ubuntu1.2) focal; urgency=medium

  * d/rules: Removed LDFLAG -Bsymbolic-functions (LP: #1885403).

 -- Miriam España Acebal <miriam.espana@canonical.com>  Tue, 07 Sep 2021 08:58:01 +0200

postfix (3.4.13-0ubuntu1.1) focal; urgency=medium

  * d/postfix.postinst: tolerate search domain with a leading dot
    (LP: #1906970)

 -- Paride Legovini <paride@ubuntu.com>  Thu, 12 Aug 2021 14:26:09 +0200

postfix (3.4.13-0ubuntu1) focal; urgency=medium

  * New upstream release: 3.4.13
    - Workaround for broken DANE support after an incompatible change in
      GLIBC 2.31 (LP: #1868955)
    - Fix "postfix tls deploy-server-cert", now it handles a missing optional
      argument (LP: #1881196)
  * Drop patch 80_glibc2.30-ftbfs.diff. This patch is not needed anymore and
    it does not cleanly apply to this new upstream release.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 19 Jun 2020 14:11:03 -0300
