=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 DISTRO:=$(shell (lsb_release -is 2>/dev/null || echo Debian) | sed s:Debian:Debian/GNU:)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
@@ -191,6 +192,3 @@
 	install man/man5/*.5 ${base}/usr/share/man/man5
 	for j in ldap lmdb mysql pcre pgsql sqlite ; do \
 		mkdir -m 755 -p $(base)-$${j}/usr/share/man/man5 ; \
-		mv ${base}/usr/share/man/man5/$${j}_table.5 ${base}-$${j}/usr/share/man/man5 ; \
-        done
-
