=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: postfix
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LaMont Jones <lamont@debian.org>
+Maintainer: LaMont Jones <lamont@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>
-Standards-Version: 4.5.0
+Standards-Version: 4.3.0
 Homepage: http://www.postfix.org
-Build-Depends: debhelper-compat (= 12), po-debconf (>= 0.5.0), groff-base, patch, pkg-config, lsb-release, libdb-dev (>=4.6.19), libldap2-dev (>=2.1), liblmdb-dev, libpcre3-dev, default-libmysqlclient-dev | libmysqlclient-dev, libssl-dev (>=1.0.2), libsasl2-dev, libpq-dev, libcdb-dev, dpkg-dev (>= 1.16.1~), libsqlite3-dev, html2text, libicu-dev
+Build-Depends: debhelper (>= 9.20160709), po-debconf (>= 0.5.0), groff-base, patch, pkg-config, lsb-release, libdb-dev (>=4.6.19), libldap2-dev (>=2.1), liblmdb-dev, libpcre3-dev, default-libmysqlclient-dev | libmysqlclient-dev, libssl-dev (>=1.0.2), libsasl2-dev, libpq-dev, libcdb-dev, dpkg-dev (>= 1.16.1~), libsqlite3-dev, html2text, libicu-dev
 Vcs-Browser: https://salsa.debian.org/postfix-team/postfix-dev
 Vcs-Git: https://salsa.debian.org/postfix-team/postfix-dev.git
 
@@ -14,7 +13,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser (>=3.48), dpkg (>= 1.8.3), lsb-base (>=3.0-6), ssl-cert, cpio, e2fsprogs
 Replaces: mail-transport-agent
-Recommends: python3, ca-certificates
+Recommends: python3
 Suggests: procmail, postfix-mysql, postfix-pgsql, postfix-ldap, postfix-pcre, postfix-lmdb, postfix-sqlite, sasl2-bin | dovecot-common, libsasl2-modules | dovecot-common, resolvconf, postfix-cdb, mail-reader, ufw, postfix-doc
 Conflicts: mail-transport-agent, smail
 Provides: mail-transport-agent, ${postfix:Provides}
