=== debian/rules ===
--- 
+++ 
@@ -15,14 +15,13 @@
 DISTRO:=$(shell (lsb_release -is 2>/dev/null || echo Debian) | sed s:Debian:Debian/GNU:)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
 package=postfix
 base=debian/$(package)
 docpkg=${package}-doc
-exampledir=${base}-doc/usr/share/doc/${package}
+exampledir=${base}-doc/usr/share/doc/${package}-doc
 docdir=${base}-doc/usr/share/doc/$(package)
 chlogdir=${base}/usr/share/doc/$(package)
 sharedir=${base}/usr/share/postfix
@@ -74,8 +73,8 @@
 build: build-arch build-indep
 build-arch:
 	$(checkdir)
-	${MAKE} makefiles CCARGS="${CFLAGS} ${CCARGS}" DEBUG="${DEBUG}" \
-		AUXLIBS="${AUXLIBS} ${LDFLAGS} -L$$(pwd)/debian" OPT="$(OFLAGS)" \
+	${MAKE} makefiles CCARGS="${CCARGS}" DEBUG="${DEBUG}" \
+		AUXLIBS="${AUXLIBS} -L$$(pwd)/debian" OPT="$(OFLAGS)" \
 		AUXLIBS_CDB="-lcdb -L../../lib -L. -lpostfix-util" \
 		AUXLIBS_LDAP="-lldap -llber -L../../lib -L. -lpostfix-util -lpostfix-global" \
 		AUXLIBS_LMDB="-llmdb -L../../lib -L. -lpostfix-util" \
@@ -96,8 +95,8 @@
 
 build-indep:
 	$(checkdir)
-	${MAKE} makefiles CCARGS="${CFLAGS} ${CCARGS}" DEBUG="${DEBUG}" \
-		AUXLIBS="${AUXLIBS} ${LDFLAGS} -L$$(pwd)/debian" OPT="$(OFLAGS)" \
+	${MAKE} makefiles CCARGS="${CCARGS}" DEBUG="${DEBUG}" \
+		AUXLIBS="${AUXLIBS} -L$$(pwd)/debian" OPT="$(OFLAGS)" \
 		AUXLIBS_CDB="-lcdb -L../../lib -L. -lpostfix-util" \
 		AUXLIBS_LDAP="-lldap -llber -L../../lib -L. -lpostfix-util -lpostfix-global" \
 		AUXLIBS_LMDB="-llmdb -L../../lib -L. -lpostfix-util" \
@@ -123,6 +122,7 @@
 	dh_installexamples -p ${docpkg} examples/{qmail-local,smtpd-policy}
 	dh_installexamples -p ${docpkg} -Xmain.cf -Xmaster.cf -Xfiles conf/[a-z]*
 	dh_installexamples -p ${docpkg} conf/main.cf.default debian/mailqfmt.pl
+	mv ${exampledir}/examples ${docdir}
 	install -m 0444 RELEASE_NOTES $(docdir)/RELEASE_NOTES
 	install -m 0444 AAAREADME $(docdir)/README
 	for file in */README; do \
@@ -192,3 +192,6 @@
 	install man/man5/*.5 ${base}/usr/share/man/man5
 	for j in ldap lmdb mysql pcre pgsql sqlite ; do \
 		mkdir -m 755 -p $(base)-$${j}/usr/share/man/man5 ; \
+		mv ${base}/usr/share/man/man5/$${j}_table.5 ${base}-$${j}/usr/share/man/man5 ; \
+        done
+
