## postfix 3.5.6

=== debian/changelog ===
postfix (3.5.6-1) unstable; urgency=medium

  [Dominic Raferd]

  * Fix configure-instance.sh for postfix 3.0+ chroot default.  Closes: #959517

  [Scott Kitterman]

  * Refresh patches
  * Delete debian/patches/tls_version.diff - incorporated upstream

  [Wietse Venema]

  * 3.5.5
  * 3.5.6

 -- Scott Kitterman <scott@kitterman.com>  Sun, 02 Aug 2020 17:11:04 -0400

postfix (3.5.4-1) unstable; urgency=medium

    [Wietse Venema]

  * 3.5.4

 -- Scott Kitterman <scott@kitterman.com>  Mon, 29 Jun 2020 21:16:04 -0400

postfix (3.5.3-1) unstable; urgency=medium

  [Wietse Venema]

  * 3.5.3 LP: #1881196

  [Debian Janitor]

  * Trim trailing whitespace.
  * Fix day-of-week for changelog entries 0.0.20001030.SNAPSHOT-4,
    0.0.20001030.SNAPSHOT-3, 0.0.19991231pl02-1, 0.0.19990122-1.

 -- Scott Kitterman <scott@kitterman.com>  Mon, 15 Jun 2020 16:23:34 -0400

postfix (3.5.2-1) unstable; urgency=medium

  [Scott Kitterman]

  * Update README.Debian to mention postfix-doc.  Closes: #234009
  * Spelling fixes in README.Debian

  [Wietse Venema]

  * 3.5.2

  [Cody Brownstein]

  * Fix README.Debian instructions for SMTP generic mapping and related
    example

 -- Scott Kitterman <scott@kitterman.com>  Mon, 18 May 2020 15:25:47 -0400

postfix (3.5.1-1) unstable; urgency=medium

  [Scott Kitterman]

  * Delete d/p/gcc_10_glibc_2_31.patch, incorporated in 3.5.1

  [Wietse Venema]

  * 3.5.1

 -- Scott Kitterman <scott@kitterman.com>  Mon, 20 Apr 2020 17:21:21 -0400

postfix (3.5.0-2) unstable; urgency=medium

  [Scott Kitterman]

  * Add patch from upstream for GCC-10 and Glibc 2.31 support.  Closes: #957697

  [Aaron Thompson]

  * Fix bug in tls_CApath copying.  LP: #1872288

 -- Scott Kitterman <scott@kitterman.com>  Fri, 17 Apr 2020 11:51:01 -0400

postfix (3.5.0-1) unstable; urgency=medium

  [Scott Kitterman]

  * Drop debian/patches/80_glibc2.30-ftbfs.diff, incorporated upstream
  * Refresh patches

  [Wietse Venema]

  * 3.5.0

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Mar 2020 16:32:19 -0400
