=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 package=postfix
 base=debian/$(package)
 docpkg=${package}-doc
-exampledir=${base}-doc/usr/share/doc/${package}-doc
+exampledir=${base}-doc/usr/share/doc/${package}
 docdir=${base}-doc/usr/share/doc/$(package)
 chlogdir=${base}/usr/share/doc/$(package)
 sharedir=${base}/usr/share/postfix
@@ -73,8 +73,8 @@
 build: build-arch build-indep
 build-arch:
 	$(checkdir)
-	${MAKE} makefiles CCARGS="${CCARGS}" DEBUG="${DEBUG}" \
-		AUXLIBS="${AUXLIBS} -L$$(pwd)/debian" OPT="$(OFLAGS)" \
+	${MAKE} makefiles CCARGS="${CFLAGS} ${CCARGS}" DEBUG="${DEBUG}" \
+		AUXLIBS="${AUXLIBS} ${LDFLAGS} -L$$(pwd)/debian" OPT="$(OFLAGS)" \
 		AUXLIBS_CDB="-lcdb -L../../lib -L. -lpostfix-util" \
 		AUXLIBS_LDAP="-lldap -llber -L../../lib -L. -lpostfix-util -lpostfix-global" \
 		AUXLIBS_LMDB="-llmdb -L../../lib -L. -lpostfix-util" \
@@ -95,8 +95,8 @@
 
 build-indep:
 	$(checkdir)
-	${MAKE} makefiles CCARGS="${CCARGS}" DEBUG="${DEBUG}" \
-		AUXLIBS="${AUXLIBS} -L$$(pwd)/debian" OPT="$(OFLAGS)" \
+	${MAKE} makefiles CCARGS="${CFLAGS} ${CCARGS}" DEBUG="${DEBUG}" \
+		AUXLIBS="${AUXLIBS} ${LDFLAGS} -L$$(pwd)/debian" OPT="$(OFLAGS)" \
 		AUXLIBS_CDB="-lcdb -L../../lib -L. -lpostfix-util" \
 		AUXLIBS_LDAP="-lldap -llber -L../../lib -L. -lpostfix-util -lpostfix-global" \
 		AUXLIBS_LMDB="-llmdb -L../../lib -L. -lpostfix-util" \
@@ -122,7 +122,6 @@
 	dh_installexamples -p ${docpkg} examples/{qmail-local,smtpd-policy}
 	dh_installexamples -p ${docpkg} -Xmain.cf -Xmaster.cf -Xfiles conf/[a-z]*
 	dh_installexamples -p ${docpkg} conf/main.cf.default debian/mailqfmt.pl
-	mv ${exampledir}/examples ${docdir}
 	install -m 0444 RELEASE_NOTES $(docdir)/RELEASE_NOTES
 	install -m 0444 AAAREADME $(docdir)/README
 	for file in */README; do \
@@ -142,7 +141,7 @@
 		grep -v $${h} doc.files > doc.files.$$ ; \
 		mv doc.files.$$ doc.files ; \
 	done
-	mkdir -m 755 -p $(base)-doc/etc/postfix/postfix-files.d 
+	mkdir -m 755 -p $(base)-doc/etc/postfix/postfix-files.d
 	install -m 644 meta/doc.files ${base}-doc/etc/postfix/postfix-files.d
 
 install-arch: build-arch
