## postfix 3.5.17

=== debian/changelog ===
postfix (3.5.17-0+deb11u1) bullseye; urgency=medium

  [Scott Kitterman]

  * Delete debian/patches/postfix-dup-postconf.patch, earlier backport now
    upstream (from 3.5.14)

  [Wietse Venema]

  * 3.5.14
    - Bugfix (introduced: 20210708): duplicate bounce_notice_recipient
      entries in postconf output. The fix to send SMTP session
      transcripts to bounce_notice_recipient was incomplete.
      Reported by Vincent Lefevre. File: smtpd/smtpd.c.

    - Bugfix (introduced: Postfix 3.0): the proxymap daemon did
      not automatically authorize proxied maps inside pipemap
      (example: pipemap:{proxy:maptype:mapname, ...}) or inside
      unionmap. Problem reported by Mirko Vogt. Files:
      proxymap/proxymap.c.

    - Bugfix (introduced: Postfix 2.5): off-by-one error while
      writing a string terminator. This code had passed all memory
      corruption tests, presumably because it wrote over an
      alignment padding byte, or over an adjacent character byte
      that was never read. Reported by Robert Siemer. Files:
      *qmgr/qmgr_feedback.c.

    - Cleanup: added missing _maps parameter names to the
      proxy_read_maps default value, based on output from the
      mantools/missing-proxy-read-maps script.  File:
      global/mail_params.h.

  * 3.5.15
    - Bitrot: Glibc 2.34 implements closefrom(). File:
      util/sys_defs.h.

    - Bitrot: Berkeley DB 18 is like Berkeley DB 6. Yasuhiro
      Kimura. File: util/dict_db.c.

  * 3.5.16
    - Cleanup: added missing _checks, _reply_footer, _reply_filter,
      _command_filter, and _delivery_status_filter parameter names
      to the proxy_read_maps default value. Files: global/mail_params.h,
      mantools/missing-proxy-read-maps.

    - Bugfix: in an internal client module, "host or service not
      found" was a fatal error, causing the milter_default_action
      setting to be ignored. It is now a non-fatal error. The
      same client is used by many Postfix clients (smtpd_proxy,
      dovecot auth, tcp_table, memcache, socketmap, and so on).
      Problem reported by Christian Degenkolb. File: util/inet_connect.c.

    - Cleanup (problem introduced: Postfix 3.0): with dynamic map
      loading enabled, an attempt to create a map with "postmap
      regexp:path" would result in a bogus error message "Is the
      postfix-regexp package installed?" instead of "unsupported
      map type for this operation". This happened with all built-in
      map types (static, cidr, etc.) that have no 'bulk create'
      support. Problem reported by Greg Klanderman. File:
      global/dynamicmaps.c.

    - Cleanup (problem introduced: Postfix 2.7): milter_header_checks
      maps are now opened before the cleanup server enters the
      chroot jail. Problem reported by Jesper Dybdal. Files:
      cleanup/cleanup.h, cleanup/cleanup_init.c,
      cleanup/cleanup_milter.c, cleanup/cleanup_state.c.

  * 3.5.17
    - Cleanup: Postfix 3.5.0 introduced debug logging noise in
      map_search_create(). Files: global/map_search.c.

    - Workaround: in a TLS server disable Postfix's 1-element
      internal session cache, to work around an OpenSSL 3.0
      regression that broke TLS handshakes. It is rarely useful.
      Report by Spil Oss, fix by Viktor Dukhovni. File:
      tls/tls_server.c.

    - Cleanup: Postfix 3.3.0 introduced an uninitialized
      verify_append() request status in case of a null original
      recipient address.  File: global/verify.c.

    - Cleanup: Postfix 3.5.16 introduced a missing msg_panic()
      argument (in code that never executes). File:
      cleanup/cleanup_milter.c.

 -- Scott Kitterman <scott@kitterman.com>  Tue, 11 Oct 2022 22:30:59 -0400

postfix (3.5.13-0+deb11u1) bullseye; urgency=medium

  [Scott Kitterman]

  * Update debian/watch to track v3.5 versions for stable updates
  * Refresh patches
  * Include compatibility_level in addition to postifx version when
    determining default value for chroot in master.cf.  Closes: #995129
  * Fixup errors in postifx-add-* man pages.  Closes: #995031
  * Update main/master.cf.proto on upgrade if not modified.  Closes: #991513
  * Update d/p/70_postfix-check.diff to exclude makedefs.out from synlink
    check.  Closes: #926331
  * Test that nothing is reported by postfix check in autopkgtest
  * Do not override user set default_transport in postinst.  Closes: #988538
  * Add information about keeping resolv.conf up to date in the chroot with
    the resolvconf package.  Closes: #964762

  [Sergio Gelato]

  * Correct if-up.d to not error out if postfix can't send mail yet. 
    Closes: #959864

  [Miriam España Acebal]

  * Removed LDFLAG -Bsymbolic-functions to fix issue where TLS is disabled
    when private/tlmsgr socket is not found.  lp: #1885403

  [Paride Legovini]

  * d/postfix.postinst: tolerate search domain with a leading dot. 
    Closes: #991950

  [Wietse Venema]

  * 3.5.7
    - Bugfix (introduced: Postfix 3.4, already fixed in Postfix
      3.6): tlsproxy(8) was using the wrong DANE macro for
      connections with DANE trust anchors or with non-DANE trust
      anchors (WTF: Thorsten Habich found this bug in the use
      case that has nothing to do with DANE). This resulted in a
      global certificate verify function pointer race, between
      TLS handshakes that use TLS trust achors and handshakes
      that use PKI. No memory was corrupted in the course of all
      this.  Viktor Dukhovni. File: tlsproxy/tlsproxy.c.

    - Cleanup: the posttls-finger '-X' option reported a false
      conflict with '-r'. File: posttls-finger/posttls-finger.c.

  * 3.5.8
    - Bugfix (introduced: Postfix 2.0): smtp_sasl_mechanism_filter
      ignored table lookup errors, treating them as 'not found'.
      Found during Postfix 3.6 development. File: smtp/smtp_sasl_proto.c.

    - Bugfix (introduced: Postfix 2.3): when deleting a recipient
      with a milter, delete the recipient from the duplicate

